Summary: Plesk PHP Panda is a multi-version php suite 
Name:    plesk-php-panda
Version: 0.6
Release: 6.art
Source0: README
License: AGPL
URL: http://www.atomicorp.com
Group: Development/Languages
Vendor: Atomicorp
Packager: Scott R. Shinn <scott@atomicorp.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: %{_prefix}

Provides: php-panda

# el5
# php-dba, plesk 11.5 has a newer tokyocabinet package
# removed embedded, not needed

Requires:  atomic-php54-php atomic-php54-php-bcmath atomic-php54-php-cli atomic-php54-php-common atomic-php54-php-devel atomic-php54-php-enchant atomic-php54-php-fpm atomic-php54-php-gd atomic-php54-php-imap atomic-php54-php-interbase atomic-php54-php-intl atomic-php54-php-ldap atomic-php54-php-mbstring atomic-php54-php-mcrypt atomic-php54-php-mssql atomic-php54-php-mysqlnd atomic-php54-php-odbc atomic-php54-php-pdo atomic-php54-php-pgsql atomic-php54-php-process atomic-php54-php-pspell atomic-php54-php-recode atomic-php54-php-snmp atomic-php54-php-soap atomic-php54-php-tidy atomic-php54-php-xml atomic-php54-php-xmlrpc 

Requires: atomic-php55-php atomic-php55-php-bcmath atomic-php55-php-cli atomic-php55-php-common atomic-php55-php-devel atomic-php55-php-enchant atomic-php55-php-fpm atomic-php55-php-gd atomic-php55-php-gmp atomic-php55-php-imap atomic-php55-php-interbase atomic-php55-php-intl atomic-php55-php-ldap atomic-php55-php-mbstring atomic-php55-php-mcrypt atomic-php55-php-mssql atomic-php55-php-mysqlnd atomic-php55-php-odbc atomic-php55-php-opcache atomic-php55-php-pdo atomic-php55-php-pgsql atomic-php55-php-process atomic-php55-php-pspell atomic-php55-php-recode atomic-php55-php-snmp atomic-php55-php-soap atomic-php55-php-tidy atomic-php55-php-xml atomic-php55-php-xmlrpc 

Requires: atomic-php56-php atomic-php56-php-bcmath atomic-php56-php-cli atomic-php56-php-common atomic-php56-php-devel atomic-php56-php-enchant atomic-php56-php-fpm atomic-php56-php-gd atomic-php56-php-gmp atomic-php56-php-imap atomic-php56-php-interbase atomic-php56-php-intl atomic-php56-php-ldap atomic-php56-php-mbstring atomic-php56-php-mcrypt atomic-php56-php-mssql atomic-php56-php-mysqlnd atomic-php56-php-odbc atomic-php55-php-opcache atomic-php56-php-pdo atomic-php56-php-pgsql atomic-php56-php-process atomic-php56-php-pspell atomic-php56-php-recode atomic-php56-php-snmp atomic-php56-php-soap atomic-php56-php-tidy atomic-php56-php-xml atomic-php56-php-xmlrpc 

 
%description
The Plesk PHP Panda (P3) is a suite of multiple PHP versions to an alternate location
Allowing the default system version of PHP to remain in place. It is primarily 
designed for Plesk hosting environments, but can be used on any RPM based system.

* PHP 5.4
* PHP 5.5
* PHP 5.6


%prep

%build

%install
mkdir -p %{buildroot}/usr/share/doc/plesk-php-panda/
install -m0644 %{SOURCE0} %{buildroot}/usr/share/doc/plesk-php-panda/README



%post 
#if [ $1 = 1 ]; then
# Install
if [ -f /usr/local/psa/bin/php_handler ]; then
	# 5.3
	# This is in php53-panda

	# 5.4
	if ! /usr/local/psa/bin/php_handler  --list |grep -q "Atomic 5.4"; then
		/usr/local/psa/bin/php_handler --add -displayname "Atomic 5.4" -path "/opt/atomic/atomic-php54/root/usr/bin/php-cgi" -phpini "/opt/atomic/atomic-php54/root/etc/php.ini" -type fastcgi -id "fastcgi-54" 
	fi


	# 5.5
	if ! /usr/local/psa/bin/php_handler  --list |grep -q "Atomic 5.5"; then
		/usr/local/psa/bin/php_handler --add -displayname "Atomic 5.5" -path "/opt/atomic/atomic-php55/root/usr/bin/php-cgi" -phpini "/opt/atomic/atomic-php55/root/etc/php.ini" -type fastcgi -id "fastcgi-55" 
	fi

	# 5.6
	if ! /usr/local/psa/bin/php_handler  --list |grep -q "Atomic 5.6"; then
		/usr/local/psa/bin/php_handler --add -displayname "Atomic 5.6" -path "/opt/atomic/atomic-php56/root/usr/bin/php-cgi" -phpini "/opt/atomic/atomic-php56/root/etc/php.ini" -type fastcgi -id "fastcgi-56" 
	fi
fi

#fi

#%preun


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/share/doc/plesk-php-panda/README

%changelog
* Wed Nov 19 2014 Scott R. Shinn <scott@atomicorp.com> - 0.6-6
- Drop debuginfo dependency

* Wed May 21 2014 Scott R. Shinn <scott@atomicorp.com> - 0.6-5
- Moved php 5.2 into its own panda.

* Wed Mar 12 2014 Scott R. Shinn <scott@atomicorp.com> - 0.5-4
- Add PHP 5.2 support

* Sun Feb 23 2014 Scott R. Shinn <scott@atomicorp.com> - 0.4-1
- Add PHP 5.6 support

* Fri Nov 22 2013 Scott R. Shinn <scott@atomicorp.com> - 0.1-0
- Inital release
